package com.iqser.red.service.persistence.service.v1.api.shared.model.dossiertemplate.rules;

import com.iqser.red.service.persistence.service.v1.api.shared.model.RuleFileType;

import lombok.AccessLevel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.FieldDefaults;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE)
public class RulesUploadRequest {

    public static RulesUploadRequest fromModel(RulesUploadRequestModel rulesUploadRequestModel) {

        return RulesUploadRequest.builder()
                .rules(rulesUploadRequestModel.getRules())
                .dossierTemplateId(rulesUploadRequestModel.getDossierTemplateId())
                .ruleFileType(rulesUploadRequestModel.getRuleFileType() != null ? rulesUploadRequestModel.getRuleFileType() : RuleFileType.ENTITY)
                .build();
    }


    String rules;

    String dossierTemplateId;

    RuleFileType ruleFileType;

}
